<?php
/* $Id: Fax.php,v 1.5 2005/11/27 23:44:52 krabi Exp $ */
/**
* BE_Fax.class
*
* Fax utility for Back-End that works with the Hylafax fax engine
* (refer to Notes section for details)
*
* @package     lobby
* @author      Peter Bojanic
* @copyright   Copyright (C) 2003 OpenConcept Consulting
* @version     $Id: Fax.php,v 1.5 2005/11/27 23:44:52 krabi Exp $
*
* This file is part of Back-End.
*
* Back-End is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* Back-End is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Back-End; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * Abstract class (interface) for fax modules
 *
 */
class Fax {

  /**
   * Return cleaned, validated fax number; return false if invalid
   *
   * Defaults to USA/Canada numbers for now
   *
   * @param String $faxNumber
   * @param Array $params Used for location-specific validation eg 'city', 'province', 'country', 'postal_code'
   * @return String/FALSE
   */
  function clean($faxNumber, $params=NULL) {

    $faxNumber = preg_replace('/[^0-9]/','',$faxNumber);
    if (strlen($faxNumber) != 10) {
      return FALSE;
    }

    // add default country code
    return "1".$faxNumber;
  }


  /**
   * Send the text message to the specified rececipient fax number
   *
   * @param string $toAddress Target's fax number
   * @param Striing $textMessage Body of email to send
   * @param String $title
   * @param String $from
   * @param String $to
   * @param String $billingCode
   * @return Boolean Success of sending email to MyFax
   */
  function send($recipientFax, $textMessage, $title='', $from = '', $to = '', $billingCode = '') {
    return false;
  } //faxTextMessage

} //BE_Fax

?>
